Daemon Power

The NetBSD Packages Collection: chat/ejabberd

Brief description of the package:
Free and Open Source distributed fault-tolerant Jabber server

Please read the file "DESCR" for a longer description, or browse the package's history.

This package has a home page at https://www.ejabberd.im/.

Please note that this package has a gnu-gpl-v2 license.

The package is located in the "chat/ejabberd" directory. The current source version of the package is "ejabberd-18.04". For a summary on how to use the package collection, go to the top of the packages tree.

Problem reports, updates or suggestions for this package should be reported with send-pr.

The following security vulnerabilities are known for chat/ejabberd :

If you have a vulnerable package installed on any machine, you are advised to remove the package immediately, using the standard package tools. The pkg_admin audit command locates any installed package which has been mentioned in security advisories as being vulnerable.

This package requires the following package(s) to build: erlang-cache_tab>=1.0.13 erlang-p1_utils>=1.0.11 erlang>=10.1 perl>=5.0 cwrappers>=20150314 erlang>=18.0 rebar-[0-9]* erlang-epam>=1.0.4 erlang-eredis>=1.0.8.20150910 erlang-eimp>=1.0.5 erlang-p1_utils>=1.0.10 gd>=2.0.15nb1 fontconfig>=2.10.93 libuuid>=2.18 freetype2>=2.8.1 freetype2>=2.4.5 freetype2>=2.1.3 freetype2>=2.4.11 gperf-[0-9]* fontconfig>=2.1nb2 libimagequant>=2.8.2 libwebp>=0.2.0 tiff>=3.6.1 jbigkit>=2.0 jpeg>=8nb1 jpeg>=9 giflib>=5.1.0 png>=1.2.4 tiff>=4.0.3nb5 png>=1.6.0nb1 fontconfig>=2.13.0 libwebp>=0.6.0 gd>=2.2.5nb2 erlang-esip>=1.0.23 erlang-stun>=1.0.22 erlang-fast_tls>=1.0.22 erlang-ezlib>=1.0.4 erlang-fast_xml>=1.1.30 erlang-fast_yaml>=1.0.14 libyaml>=0.1.1 libyaml>=0.1.4 erlang-iconv>=1.0.7 erlang-jiffy>=0.14.8 erlang-jose>=1.8.4 erlang-base64url-[0-9]* erlang-lager>=3.4.2. erlang-goldrush>=0.1.9 erlang-luerl>=0.3 erlang-p1_mysql>=1.0.5 erlang-p1_oauth2>=0.6.3 erlang-p1_pgsql>=1.1.5 erlang-stringprep>=1.0.11 erlang-xmpp>=1.1.21 bash-[0-9]* .

This package requires the following package(s) to run: erlang-cache_tab>=1.0.13 erlang-p1_utils>=1.0.11 erlang>=10.1 perl>=5.0 erlang>=18.0 erlang-epam>=1.0.4 erlang-eredis>=1.0.8.20150910 erlang-eimp>=1.0.5 erlang-p1_utils>=1.0.10 gd>=2.0.15nb1 fontconfig>=2.10.93 libuuid>=2.18 freetype2>=2.8.1 freetype2>=2.4.5 freetype2>=2.1.3 freetype2>=2.4.11 fontconfig>=2.1nb2 libimagequant>=2.8.2 libwebp>=0.2.0 tiff>=3.6.1 jbigkit>=2.0 jpeg>=8nb1 jpeg>=9 giflib>=5.1.0 png>=1.2.4 tiff>=4.0.3nb5 png>=1.6.0nb1 fontconfig>=2.13.0 libwebp>=0.6.0 gd>=2.2.5nb2 erlang-esip>=1.0.23 erlang-stun>=1.0.22 erlang-fast_tls>=1.0.22 erlang-ezlib>=1.0.4 erlang-fast_xml>=1.1.30 erlang-fast_yaml>=1.0.14 libyaml>=0.1.1 libyaml>=0.1.4 erlang-iconv>=1.0.7 erlang-jiffy>=0.14.8 erlang-jose>=1.8.4 erlang-base64url-[0-9]* erlang-lager>=3.4.2. erlang-goldrush>=0.1.9 erlang-luerl>=0.3 erlang-p1_mysql>=1.0.5 erlang-p1_oauth2>=0.6.3 erlang-p1_pgsql>=1.1.5 erlang-stringprep>=1.0.11 erlang-xmpp>=1.1.21 bash-[0-9]* .

This package supports the following build-time options:

sqlite
Enable SQLite support.

Select one of the links below to download the package in precompiled binary form for installation with pkg_add(1). Available machine architectures and package versions:
alpha:ejabberd-16.01nb1.tgz(NetBSD 7.0)
earmv6hf:ejabberd-15.11.tgz(NetBSD 7.0)
earmv6hf:ejabberd-17.11.tgz(NetBSD 8.0)
earmv7hf:ejabberd-15.11.tgz(NetBSD 7.0)
earmv7hf:ejabberd-18.03.tgz(NetBSD 8.0)
i386:ejabberd-18.03.tgz(NetBSD 6.0)
i386:ejabberd-16.08.tgz(NetBSD 6.0)
i386:ejabberd-16.09.tgz(NetBSD 6.0)
i386:ejabberd-17.01.tgz(NetBSD 6.0)
i386:ejabberd-17.04.tgz(NetBSD 6.0)
i386:ejabberd-17.11.tgz(NetBSD 6.0)
i386:ejabberd-16.08.tgz(NetBSD 6.1)
i386:ejabberd-16.09.tgz(NetBSD 6.1)
i386:ejabberd-17.01.tgz(NetBSD 6.1)
i386:ejabberd-17.04.tgz(NetBSD 6.1)
i386:ejabberd-18.03.tgz(NetBSD 7.0)
i386:ejabberd-16.08.tgz(NetBSD 7.0)
i386:ejabberd-16.09.tgz(NetBSD 7.0)
i386:ejabberd-17.01.tgz(NetBSD 7.0)
i386:ejabberd-17.04.tgz(NetBSD 7.0)
i386:ejabberd-17.11.tgz(NetBSD 7.0)
i386:ejabberd-18.03.tgz(NetBSD 7.1)
i386:ejabberd-17.11.tgz(NetBSD 7.1)
i386:ejabberd-18.03.tgz(NetBSD 8.0)
i386:ejabberd-17.11.tgz(NetBSD 8.0)
powerpc:ejabberd-18.03.tgz(NetBSD 6.1)
powerpc:ejabberd-17.11.tgz(NetBSD 6.1)
powerpc:ejabberd-18.03.tgz(NetBSD 7.1)
powerpc:ejabberd-18.03.tgz(NetBSD 8.0)
sparc64:ejabberd-15.04nb1.tgz(NetBSD 7.0)
x86_64:ejabberd-18.03.tgz(NetBSD 6.0)
x86_64:ejabberd-17.11.tgz(NetBSD 6.0)
x86_64:ejabberd-18.03.tgz(NetBSD 6.1)
x86_64:ejabberd-17.11.tgz(NetBSD 6.1)
x86_64:ejabberd-18.03.tgz(NetBSD 7.0)
x86_64:ejabberd-17.11.tgz(NetBSD 7.0)
x86_64:ejabberd-18.03.tgz(NetBSD 7.1)
x86_64:ejabberd-18.01.tgz(NetBSD 7.1.1)
x86_64:ejabberd-17.11.tgz(NetBSD 7.1)
x86_64:ejabberd-18.03.tgz(NetBSD 8.0)
x86_64:ejabberd-17.11.tgz(NetBSD 8.0)

The NetBSD packages collection is designed to permit easy installation from source - particularly useful if the latest binary package is not available for your chosen platform.


[ Go up one level | Go to top of packages tree | List all packages ]